Create Campaign with Call Touchpoint
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_campaign/create_with_touchpoint \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "<string>",
"business_goal": "<string>",
"touchpoint": {
"name": "<string>",
"type": "<string>",
"status": "<string>",
"start_at": "<string>",
"assistant_id": 123,
"additional_settings": {
"execution_days": [
"<string>"
],
"start_hour": 123,
"end_hour": 123,
"time_zone": "<string>",
"from_numbers": [
"<string>"
]
}
},
"customer_details": [
{
"id": "<string>",
"to_number": "<string>"
}
],
"from_number": "<string>"
}
'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_campaign/create_with_touchpoint"
payload = {
"name": "<string>",
"type": "<string>",
"business_goal": "<string>",
"touchpoint": {
"name": "<string>",
"type": "<string>",
"status": "<string>",
"start_at": "<string>",
"assistant_id": 123,
"additional_settings": {
"execution_days": ["<string>"],
"start_hour": 123,
"end_hour": 123,
"time_zone": "<string>",
"from_numbers": ["<string>"]
}
},
"customer_details": [
{
"id": "<string>",
"to_number": "<string>"
}
],
"from_number": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: '<string>',
business_goal: '<string>',
touchpoint: {
name: '<string>',
type: '<string>',
status: '<string>',
start_at: '<string>',
assistant_id: 123,
additional_settings: {
execution_days: ['<string>'],
start_hour: 123,
end_hour: 123,
time_zone: '<string>',
from_numbers: ['<string>']
}
},
customer_details: [{id: '<string>', to_number: '<string>'}],
from_number: '<string>'
})
};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_campaign/create_with_touchpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"status": "<string>"
}
}Create-Campaign
Create Campaign with Call Touchpoint
Create a new campaign with a touchpoint.
POST
/
v2
/
_campaign
/
create_with_touchpoint
Create Campaign with Call Touchpoint
Authorizations
string
required
Enter your ContactSwing JWT Bearer token.
Request Body
string
required
Campaign display name
TalentCare Interviewstring
Campaign type.
string
The business goal of the campaign.
object
required
The touchpoint object.
string
required
The name of the touchpoint.
string
required
The type of the touchpoint. e.g.
CALL.string
required
The status of the touchpoint. e.g.
scheduled.string
required
ISO 8601 scheduled date for the touchpoint.
integer
required
The ID of the assistant to be used.
object
required
Additional settings for the touchpoint.
string[]
required
Array of days when the campaign will be executed. e.g.
["mon", "tue"]integer
required
The start hour for the campaign execution.
integer
required
The end hour for the campaign execution.
string
required
The timezone for the campaign execution. e.g.
Asia/Kolkata.string[]
required
The numbers from which the calls will be made.
array
required
string
required
The number from which the call will be made.
Response
201 Created - Campaign created successfullystring
Request context ID
⌘I

